Package uk.ac.starlink.vo

## Class VORegResource

- java.lang.Object
- - uk.ac.starlink.vo.VORegResource

- All Implemented Interfaces:
    `RegResource`

      public class VORegResource
      extends java.lang.Object
      implements RegResource

  RegResource implementation based on a `VOResource` object.
  Since:
    17 Dec 2008
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VORegResource​(VOResource resource)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegCapabilityInterface[]` | `getCapabilities()` | Returns an array of capability interfaces for this resource.
    `java.lang.String` | `getContact()` | Returns the contact information for this resource.
    `java.lang.String` | `getIdentifier()` | Returns the resource unique identifier.
    `java.lang.String` | `getPublisher()` | Returns the resource publisher.
    `java.lang.String` | `getReferenceUrl()` | Returns the reference URL for this resource.
    `java.lang.String` | `getShortName()` | Returns the resource short name.
    `java.lang.String[]` | `getSubjects()` | Returns a list of subject areas relevant to this resource.
    `java.lang.String` | `getTitle()` | Returns the resource title.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VORegResource

          public VORegResource​(VOResource resource)

      Constructor.
      Parameters:
        `resource` - resource object

  - ### Method Detail

    - #### getShortName

          public java.lang.String getShortName()

      Description copied from interface: `RegResource`
      Returns the resource short name.
      Specified by:
        `getShortName` in interface `RegResource`
      Returns:
        short name

    - #### getTitle

          public java.lang.String getTitle()

      Description copied from interface: `RegResource`
      Returns the resource title.
      Specified by:
        `getTitle` in interface `RegResource`
      Returns:
        title

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Description copied from interface: `RegResource`
      Returns the resource unique identifier. This is a URI of the form `ivo://authority/path`.
      Specified by:
        `getIdentifier` in interface `RegResource`
      Returns:
        identifier

    - #### getPublisher

          public java.lang.String getPublisher()

      Description copied from interface: `RegResource`
      Returns the resource publisher.
      Specified by:
        `getPublisher` in interface `RegResource`
      Returns:
        publisher

    - #### getContact

          public java.lang.String getContact()

      Description copied from interface: `RegResource`
      Returns the contact information for this resource.
      Specified by:
        `getContact` in interface `RegResource`
      Returns:
        contact info

    - #### getSubjects

          public java.lang.String[] getSubjects()

      Description copied from interface: `RegResource`
      Returns a list of subject areas relevant to this resource.
      Specified by:
        `getSubjects` in interface `RegResource`
      Returns:
        subject words

    - #### getReferenceUrl

          public java.lang.String getReferenceUrl()

      Description copied from interface: `RegResource`
      Returns the reference URL for this resource.
      Specified by:
        `getReferenceUrl` in interface `RegResource`
      Returns:
        reference URL

    - #### getCapabilities

          public RegCapabilityInterface[] getCapabilities()

      Description copied from interface: `RegResource`
      Returns an array of capability interfaces for this resource. Very often there is only one (or zero) of these per resource, but there can be many.
      Specified by:
        `getCapabilities` in interface `RegResource`
      Returns:
        capabilities